%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-threads
Version:          2.2.1
Release:          4%{?dist}
Summary:          JBoss Threads
# Not available license file https://issues.jboss.org/browse/JBTHR-36
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-threads
Source0:          https://github.com/jbossas/jboss-threads/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(jdepend:jdepend)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.apiviz:apiviz)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)

%description
This package contains JBoss Threads

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_remove_plugin :maven-source-plugin
%pom_add_plugin org.apache.maven.plugins:maven-compiler-plugin pom.xml "
                <configuration>
                    <source>1.7</source>
                    <target>1.7</target>
                </configuration>
"

%build

# Disable test failure @ random fails:
# junit.framework.AssertionFailedError at org.jboss.threads.DeferredInterruptTestCase.testDeferral(DeferredInterruptTestCase.java:63)
%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

%changelog
* Fri Apr 21 2017 Benjamin Lefoul <lef@fedoraproject.org> - 2.2.1-4
- Invocation of plugins for target configured to 1.7

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jun 23 2016 gil cattaneo <puntogil@libero.it> 2.2.1-2
- disable test failure

* Tue May 31 2016 gil cattaneo <puntogil@libero.it> 2.2.1-1
- update to 2.2.1.Final

* Tue Mar 01 2016 gil cattaneo <puntogil@libero.it> 2.1.0-6
- fix FTBFS rhbz#1307655
- fix BR list and use BR mvn()-like

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 04 2013 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-1
- Upstream release 2.1.0.Final
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.0.0-7
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 2.0.0-6
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 24 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.0-4
- Relocated jars to _javadir

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 2.0.0-2
- Cleaned up spec file

* Thu Aug 04 2011 Marek Goldmann <mgoldman@redhat.com> 2.0.0-1
- Initial packaging

